java.beans.beancontext

## Interface BeanContextChildComponentProxy

-     public interface BeanContextChildComponentProxy

  This interface is implemented by `BeanContextChildren` that have an AWT `Component` associated with them.

  Since:
    1.2
  See Also:
    `BeanContext`, `BeanContextSupport`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getComponent()` Gets the `java.awt.Component` associated with this `BeanContextChild`.

- - ### Method Detail

    - #### getComponent

          Component getComponent()

      Gets the `java.awt.Component` associated with this `BeanContextChild`.
      Returns:
        the AWT `Component` associated with this `BeanContextChild`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.